Skip to Content

Create UDTS Task - CreateUDTSTask

Overview

Create UDTS Task

Definition

Public Parameters

Parameter NameTypeDescription InformationRequired
ActionstringCorresponding API command name, the current API is CreateUDTSTask.Yes
PublicKeystringThe user’s public key can be obtained from ConsoleYes
SignaturestringUser signature generated based on public key and API command, see Signature AlgorithmYes

Request Parameters

Parameter NameTypeDescription InformationRequired
ProjectIdstringProject ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the GetProjectList interface.No
NamestringTask name, length cannot exceed 128Yes
TypestringTask type, unique value: transfer (data transfer)Yes
Source.N.ModestringTask mode, the value can be full, incremental, full+incremental, bidirectionalYes
Source.N.DataTypestringDatabase type, such as mysql/mongo/redisYes
Source.N.NWTypestringSource network type, can be public, user, dedicated_lineYes
Source.N.ServiceTypestringService type, the value can be small/medium/large/2xlarge/4xlargeYes
Source.N.BandwidthLimitintSource speed limit, unit is MB/sNo
Source.N.MySQLNode.HoststringMySQL Source Database AddressNo
Source.N.MySQLNode.PortintMySQL Source Database PortNo
Source.N.MySQLNode.UserstringMySQL Source database usernameNo
Source.N.MySQLNode.PasswordstringMySQL Source Database PasswordNo
Source.N.MySQLNode.VPCIdstringMySQL Source database VPC ID, needs to be filled in when the network type is ‘user’. It can be obtained from https://console.ucloud-global.com/vpc/vpc, for example, uvnet-u0ecace.No
Source.N.MySQLNode.SubnetIdstringMySQL Source database subnet ID, needs to be filled in when the network type is ‘user’, can be obtained from https://console.ucloud-global.com/vpc/subnet, for example, subnet-2sloxs.No
Source.N.MySQLNode.DataRegionstringMySQL Database region, for example cn-bj2No
Source.N.MySQLNode.DatabasestringMySQL Name of the DB to be migratedNo
Source.N.MySQLNode.TablestringMySQL Name of the table to be migratedNo
Source.N.MySQLNode.SyncData.BinlogNamestringThe MySQL binlog name needs to be specified during the incremental time, which can be obtained through the ‘show master status’ command, or it will be automatically set in the full + incremental task.No
Source.N.MySQLNode.SyncData.BinlogPosintThe MySQL binlog pos that needs to be specified during incremental time can be obtained through show master status, or it will be automatically set by full + incremental tasks.No
Source.N.MySQLNode.SyncData.BinlogGTIDstringThe MySQL binlog gtid that needs to be specified during the incremental time can be obtained through the show master status, or it will be automatically set by the full + incremental task.No
Source.N.MySQLNode.SSLSecurity.SSLCAstringMySQL CA certificate, currently only supports PEM format; need to base64 the file content.No
Source.N.MySQLNode.SSLSecurity.SSLCertstringMySQL Client Certificate; The file content needs to be base64No
Source.N.MySQLNode.SSLSecurity.SSLKeystringMySQL Client private key, the file content needs to be base64No
Source.N.MongoNode.HoststringMongo Source database address, support standalone/ReplicaSet, for example 192.168.1.100:27017,192.168.1.120:27017,192.168.1.130:27017No
Source.N.MongoNode.UserstringMongo Source database usernameNo
Source.N.MongoNode.PasswordstringMongo Source database passwordNo
Source.N.MongoNode.DatabasestringMongo Name of the DB to be migratedNo
Source.N.MongoNode.CollectionstringMongo Name of the collection to be migratedNo
Source.N.MongoNode.DataRegionstringMongo Source Database region, for example cn-bj2No
Source.N.MongoNode.VPCIdstringMongo source database VPC ID, required when the network type is user, e.g., uvnet-u0ecaceNo
Source.N.MongoNode.SubnetIdstringMongo source database subnet ID, required when the network type is user, e.g., subnet-2sloxsNo
Source.N.MongoNode.AuthenticationDBstringMongo source authentication database name, usually admin.No
Source.N.RedisNode.AddressstringRedis source database address, only fill in the master address. In cluster mode, separate multiple addresses with ”;”, e.g., 192.168.1.100:6379;192.168.1.120:6379;192.168.1.130:26379No
Source.N.RedisNode.TypestringRedis source database type, supports cluster/standalone.No
Source.N.RedisNode.PasswordstringRedis Source database passwordNo
Source.N.RedisNode.IsRumpbooleanWhether to enable Rump mode for Redis; required when the user lacks psync permission and needs to sync via Rump.No
Source.N.RedisNode.DataRegionstringRedis Source Database region, for example cn-bj2No
Source.N.RedisNode.VPCIdstringRedis source database VPC ID, required when the network type is user, e.g., uvnet-u0ecaceNo
Source.N.RedisNode.SubnetIdstringRedis source database subnet ID, required when the network type is user, e.g., subnet-2sloxsNo
Target.DataTypestringTarget database type, for example mysql/mongo/redisYes
Target.NWTypestringTarget db network type, currently only supports userYes
Target.BandwidthLimitstringDestination end speed limit, unit in MB/sNo
Target.MySQLNode.HoststringMySQL Target database address, for example 10.9.37.212No
Target.MySQLNode.PortintMySQL Target database port, for example 3306No
Target.MySQLNode.UserstringMySQL Target database username, for example rootNo
Target.MySQLNode.PasswordstringMySQL Target Database PasswordNo
Target.MySQLNode.VPCIdstringMySQL Target Database VPC, for example uvnet-1wz5rqteNo
Target.MySQLNode.SubnetIdstringMySQL Target database subnet ID, for example subnet-zl44fktqNo
Target.MySQLNode.DataRegionstringMySQL Target database region, for example cn-bj2No
Target.MySQLNode.NoBinlogbooleanWhether to temporarily disable the generation of binlog in the target MySQL during the full process, it can be used when the target disk space is insufficient, or when a faster migration speed is needed. This parameter will disrupt the high availability of the target MySQL.No
Target.MongoNode.HoststringMongo Target database address, support standalone/ReplicaSet, for example 192.168.1.100:27017,192.168.1.120:27017,192.168.1.130:27017No
Target.MongoNode.UserstringMongo Target database usernameNo
Target.MongoNode.PasswordstringMongo Target database passwordNo
Target.MongoNode.DataRegionstringMongo Target Database region, for example cn-bj2No
Target.MongoNode.VPCIdstringMongo Target database VPC ID, e.g., uvnet-u0ecaceNo
Target.MongoNode.SubnetIdstringMongo Target database subnet ID, e.g., subnet-2sloxsNo
Target.MongoNode.AuthenticationDBstringMongo Target authentication database name, usually admin.No
Target.RedisNode.AddressstringRedis target database address, only fill in the master address. In cluster mode, separate multiple addresses with ”;”, e.g., 192.168.1.100:6379;192.168.1.120:6379;192.168.1.130:26379No
Target.RedisNode.TypestringRedis target database type, supports cluster/standalone/udredisNo
Target.RedisNode.PasswordstringRedis Target database passwordNo
Target.RedisNode.DataRegionstringRedis Target Database region, for example cn-bj2No
Target.RedisNode.VPCIdstringRedis Target database VPC ID, e.g., uvnet-u0ecaceNo
Target.RedisNode.SubnetIdstringRedis Target database subnet ID, e.g., subnet-2sloxsNo
ChargeTypestringPayment method, enumeration values are: Year, pay annually; Month, pay monthly; Dynamic, pay on demand (permission required); default is monthly payment.Yes
MaxRetryCountstringRetry times, maximum is 5. Default is 0.No
RemarkstringNote information, length cannot exceed 255No
QuantityintPurchase duration, default: 1No
CouponIdstringVoucher ID, not used by defaultNo

Response Field

Field NameTypeDescription InformationRequired
RetCodeintReturn status code. If it is 0, it means successful return. If it is not 0, it means failure.Yes
ActionstringOperation command name.Yes
MessagestringReturns an error message, providing detailed description when RetCode is non-zero.No
DataCreateUDTSTaskResDatacreate task response dataYes
TaskIdarray[string]Task ID, currently used for console operation logsNo

Data Model

CreateUDTSTaskResData

Field NameTypeDescription InformationRequired
TaskIdstringtask idNo

Example

Request Example

https://api.ucloud-global.com/?Action=CreateUDTSTask &Region=cn-zj &ProjectId=RxjtEuje &Name=AxfpqbHf &Type=LSwCQRth &Source=DmzCcRiT &Target=PIVlSiCd &MaxRetryCount=iPgQdCJm &Query=YqlCGHLR &IsDedicatedLine=false &IsUnidirection=NYPZcshe &Source.N.Mode=fWsqXqqm &Source.N.DataType=TGmlMgtA &Source.N.MySQLNode.Host=nTEGdKOV &Source.N.MySQLNode.Port=9 &Source.N.MySQLNode.User=PPPsDLEy &Source.N.MySQLNode.Password=UEEuSVpz &Source.N.MySQLNode.VPCId=RbLzaWDM &Source.N.MySQLNode.SubnetId=sHQsachY &Source.N.MySQLNode.DataRegion=jQPRqZAQ &Source.N.MySQLNode.Database=HvYuzdTY &Source.N.MySQLNode.Table=ikPDQCrF &Source.N.MySQLNode.SyncData.BinlogName=VSbjNbof &Source.N.MySQLNode.SyncData.BinlogPos=FpQadMWc &Source.N.MySQLNode.SyncData.ServerID=vcgeBxiE &Source.N.MySQLNode.SyncData.BinlogGTID=zLehFoxC &Remark=EtIKkkRF &Source.N.Mode=uDwvRgXl &Source.N.DataType=DbBEiBzx &Source.N.MySQLNode.Host=QCuymrrw &Source.N.MySQLNode.Port=4 &Source.N.MySQLNode.User=MarpaRLp &Source.N.MySQLNode.Password=qdYuFUQV &Source.N.MySQLNode.VPCId=jNXsoOuw &Source.N.MySQLNode.SubnetId=ZckYkcsB &Source.N.MySQLNode.DataRegion=hNFUVoFD &Source.N.MySQLNode.Database=paqulSIo &Source.N.MySQLNode.Table=LevJUVpc &Source.N.MySQLNode.SyncData.BinlogName=yWEMtwth &Source.N.MySQLNode.SyncData.BinlogPos=4 &Source.N.MySQLNode.SyncData.ServerID=7 &Source.N.MySQLNode.SyncData.BinlogGTID=tkPozizE &Source.N.MySQLNode.QueryData.N.DBName=PmTlGFxe &Source.N.MySQLNode.QueryData.N.NewDBName=AuKmDOWG &Source.N.MySQLNode.QueryData.N.TableData.TableNames=YOqUXbCU &Source.N.MySQLNode.QueryData.N.TableData.ExcludeTables=false &Source.N.MySQLNode.QueryData.N.TableMaps.N.TableName=TkNweIYw &Source.N.MySQLNode.QueryData.N.TableMaps.N.NewTableName=Rkpkgosy &Source.N.MySQLNode.KeepExistData=false &Source.N.MySQLNode.DupAction=kNJFnpEk &Remark=EdjTSZqb &Source.N.Mode=GCHwvAzt &Source.N.DataType=KgnzrHgW &Source.N.MySQLNode.Host=eqKqgEch &Source.N.MySQLNode.Port=3 &Source.N.MySQLNode.User=SkPjrFne &Source.N.MySQLNode.Password=kXgeJFVs &Source.N.MySQLNode.VPCId=wKnpHJUL &Source.N.MySQLNode.SubnetId=EDvTEptA &Source.N.MySQLNode.DataRegion=UbTExpri &Source.N.MySQLNode.Database=kbThgUPN &Source.N.MySQLNode.Table=kUhnQaHD &Source.N.MySQLNode.SyncData.BinlogName=ucmFxWqu &Source.N.MySQLNode.SyncData.BinlogPos=8 &Source.N.MySQLNode.SyncData.ServerID=1 &Source.N.MySQLNode.SyncData.BinlogGTID=vmQUWAso &Source.N.MySQLNode.QueryData.N.DBName=TjzHlKBS &Source.N.MySQLNode.QueryData.N.NewDBName=wveCIOeo &Source.N.MySQLNode.QueryData.N.TableData.TableNames=ZLNqouij &Source.N.MySQLNode.QueryData.N.TableData.ExcludeTables=false &Source.N.MySQLNode.QueryData.N.TableMaps.N.TableName=dukuiUfI &Source.N.MySQLNode.QueryData.N.TableMaps.N.NewTableName=bpOzaOOY &Source.N.MySQLNode.KeepExistData=true &Source.N.MySQLNode.DupAction=qpKOxddJ &Target.Mode=RboYuTfl &Target.DataType=lGvNkvQC &Target.MySQLNode.Host=WHsxlqhF &Target.MySQLNode.Port=9 &Target.MySQLNode.User=fqccASPj &Target.MySQLNode.Password=aiOFwckd &Target.MySQLNode.VPCId=eCxGDRjy &Target.MySQLNode.SubnetId=KTYviHnO &Target.MySQLNode.DataRegion=JAJjVkwt &Remark=LqITzTWH &Source.N.Mode=MeuRHalq &Source.N.DataType=HGtXznTH &Source.N.MySQLNode.Host=MXzVlABy &Source.N.MySQLNode.Port=6 &Source.N.MySQLNode.User=VkFlnvFJ &Source.N.MySQLNode.Password=cZsjBPEN &Source.N.MySQLNode.VPCId=yhseMSjn &Source.N.MySQLNode.SubnetId=vzigyOkC &Source.N.MySQLNode.DataRegion=GNfKXekt &Source.N.MySQLNode.Database=VDYbUHJz &Source.N.MySQLNode.Table=HPoGAdzN &Source.N.MySQLNode.SyncData.BinlogName=WnhzlWBW &Source.N.MySQLNode.SyncData.BinlogPos=6 &Source.N.MySQLNode.SyncData.ServerID=5 &Source.N.MySQLNode.SyncData.BinlogGTID=dgpWMwNV &Source.N.MySQLNode.QueryData.N.DBName=tVfORnwW &Source.N.MySQLNode.QueryData.N.NewDBName=kATgswhS &Source.N.MySQLNode.QueryData.N.TableData.TableNames=SRIMxFtx &Source.N.MySQLNode.QueryData.N.TableData.ExcludeTables=true &Source.N.MySQLNode.QueryData.N.TableMaps.N.TableName=WBnoOVha &Source.N.MySQLNode.QueryData.N.TableMaps.N.NewTableName=tNKMGxTU &Source.N.MySQLNode.KeepExistData=true &Source.N.MySQLNode.DupAction=QjlOgJIR &Target.Mode=bxjaBkue &Target.DataType=rxOuZsXz &Target.MySQLNode.Host=uCNhKVcq &Target.MySQLNode.Port=8 &Target.MySQLNode.User=SQvUtfEt &Target.MySQLNode.Password=mFtYsBCO &Target.MySQLNode.VPCId=mbxEJZpE &Target.MySQLNode.SubnetId=hLGVVyoA &Target.MySQLNode.DataRegion=DzsvzZZo &Source.N.NWType=yGuzFPDP &Source.N.BandwidthLimit=6 &Target.NWType=AdfJzmEz &Target.BandwidthLimit=CFGpkzid &Source.N.MySQLNode.SSLSecurity.SSLCA=MQKwVQcF &Source.N.MySQLNode.SSLSecurity.SSLCert=yrUzEnuZ &Source.N.MySQLNode.SSLSecurity.SSLKey=OYuQESyM &Source.N.ServiceType=vVuYpUaV &Quantity=4 &ChargeType=diYSAAQT &CouponId=flfTnXPG &Source.N.MongoNode.Host=jOcArCZd &Source.N.MongoNode.User=amxFCIOr &Source.N.MongoNode.Password=rYXcnHTl &Source.N.MongoNode.Database=ElkPkNWH &Source.N.MongoNode.Collection=WPhkpJhm &Source.N.MongoNode.DataRegion=JyFTKOxm &Source.N.MongoNode.VPCId=vqCFMzqY &Source.N.MongoNode.SubnetId=hCQnHnOf &Source.N.MongoNode.AuthenticationDB=DNfpgmje &Source.N.MongoNode.Host=XoloecOb &Source.N.MongoNode.User=RJujHoSU &Source.N.MongoNode.Password=PYfotPZl &Source.N.MongoNode.Database=oPgSolHS &Source.N.MongoNode.Collection=XOSnNHVO &Source.N.MongoNode.DataRegion=nwdtPFPf &Source.N.MongoNode.VPCId=wwrHnbCs &Source.N.MongoNode.SubnetId=SxviaMiA &Source.N.MongoNode.AuthenticationDB=lpsbChWo &Target.MongoNode.Host=hSfjPvqy &Target.MongoNode.User=jacipLQj &Target.MongoNode.Password=OuTuOwKi &Target.MongoNode.DataRegion=iAOgTrXd &Target.MongoNode.VPCId=zwGaJYaj &Target.MongoNode.SubnetId=zBGmDUBB &Target.MongoNode.AuthenticationDB=IQRByjAi &Source.N.MongoNode.Host=NVrbNufM &Source.N.MongoNode.User=cgjsYZil &Source.N.MongoNode.Password=LnuQNStS &Source.N.MongoNode.Database=nnfMCmMC &Source.N.MongoNode.Collection=MSzRhnDM &Source.N.MongoNode.DataRegion=pgfEhBrh &Source.N.MongoNode.VPCId=QrSCDZpD &Source.N.MongoNode.SubnetId=tCWWthPI &Source.N.MongoNode.AuthenticationDB=buPTYExP &Target.MongoNode.Host=CnwhbDFq &Target.MongoNode.User=SKbuedxG &Target.MongoNode.Password=MIjQHvPe &Target.MongoNode.DataRegion=qmbUbYlN &Target.MongoNode.VPCId=htgZMOon &Target.MongoNode.SubnetId=ivjlCrgm &Target.MongoNode.AuthenticationDB=jHBpdtNH &Source.N.RedisNode.Address=kpSKAwDs &Source.N.RedisNode.Type=VfKVhntR &Source.N.RedisNode.Password=MTewqQXi &Source.N.RedisNode.IsRump=true &Source.N.RedisNode.DataRegion=LjzpHyjJ &Source.N.RedisNode.VPCId=FIoQIQom &Source.N.RedisNode.SubnetId=cnfXdvJV &Target.RedisNode.Address=DluHSyln &Target.RedisNode.Type=eAPkfQuT &Target.RedisNode.Password=VxuXaFmG &Target.RedisNode.DataRegion=jUWKTnwv &Target.RedisNode.VPCId=vsXWjiFm &Target.RedisNode.SubnetId=NSAPtXSF

Response Example

{ "Action": "CreateUDTSTaskResponse", "Data": {}, "Message": "FnZvjDcL", "RetCode": 0, "TaskID": "zJeiMttl" }